function rxgp = assign_official_data_to_reaction_group(rxgp, cmpd_vals, stoch_algor)




num_cmpds = length(rxgp.comps);
    
for i = 1:num_cmpds

    rxgp.cmpd_nums(i,1) = cmpd_vals(rxgp.global_comp_gid(i),1);
    rxgp.cmpd_nums(i,2) = 0;
    
end


num_rxns = length(rxgp.rxn);

for i = 1:num_rxns
    
    rxgp.rxn{i}.ai = rxgp.rxn{i}.ai_prev;
    
    if stoch_algor == 1
        rxgp.rxn{i}.time = rxgp.rxn{i}.time_prev;
    end
    
end
